Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1056751

Summary: no driver for Epson XP-410
Product: [Fedora] Fedora Reporter: Tom Tromey <tromey>
Component: xfce4-sessionAssignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: jpopelka, kevinpederson686, kevin, patrickm, susi.lehtola, twaugh
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-30 00:52:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tom Tromey 2014-01-22 20:36:50 UTC
Neither Fedora 18 nor Fedora 20 can find a driver
for the Epson XP-410 printer.

Comment 1 Jiri Popelka 2014-01-23 10:28:48 UTC
That's because there seems to be no "free" one, sorry.
http://www.openprinting.org/printer/Epson/Epson-XP-410_Series

Comment 2 Jiri Popelka 2014-01-23 10:53:06 UTC
Actually there seems to be one in epson-inkjet-printer-escpr since version 1.2.3.

It's possible that the IEEE 1284 DeviceID in the package is wrong.
Can you show me output of
# su -c "lpinfo -l -v"
once the printer is on ?

Comment 3 Tom Tromey 2014-01-23 12:50:29 UTC
(In reply to Jiri Popelka from comment #2)

> Can you show me output of
> # su -c "lpinfo -l -v"
> once the printer is on ?

Here you go:

Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = serial:/dev/ttyS0?baud=115200
        class = serial
        info = Serial Port #1
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = https
        class = network
        info = Internet Printing Protocol (https)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipps
        class = network
        info = Internet Printing Protocol (ipps)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = usb://EPSON/XP-410%20Series?serial=5335324B3038333236&interface=1
        class = direct
        info = EPSON XP-410 Series
        make-and-model = EPSON XP-410 Series
        device-id = MFG:EPSON;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;MDL:XP-410 Series;CLS:PRINTER;DES:EPSON XP-410 Series;CID:EpsonRGB;FID:FXN,DPN,WFA,ETN,AFN,DAN;RID:20;DDS:022500;
        location = 
Device: uri = dnssd://EPSON%20XP-410%20Series._printer._tcp.local/
        class = network
        info = EPSON XP-410 Series
        make-and-model = EPSON EPSON XP-410 Series
        device-id = MFG:EPSON;MDL:XP-410 Series;FZY:0;
        location = 
Device: uri = dnssd://EPSON%20XP-410%20Series._pdl-datastream._tcp.local/
        class = network
        info = EPSON XP-410 Series
        make-and-model = EPSON EPSON XP-410 Series
        device-id = MFG:EPSON;MDL:XP-410 Series;FZY:0;
        location = 
Device: uri = dnssd://EPSON%20XP-410%20Series._ipp._tcp.local/
        class = network
        info = EPSON XP-410 Series
        make-and-model = EPSON EPSON XP-410 Series
        device-id = MFG:EPSON;MDL:XP-410 Series;FZY:0;
        location =

Comment 4 Jiri Popelka 2014-01-23 15:46:37 UTC
So it's OK:

# /usr/share/system-config-printer/check-device-ids.py 'EPSON XP-410 Series' 'MFG:EPSON;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;MDL:XP-410 Series;DES:EPSON XP-410 Series;'
Fetching driver list
└── EPSON XP-410 Series (user-specified): MFG:EPSON;MDL:XP-410 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;
    └── lsb/usr/Epson/epson-inkjet-printer-escpr/Epson-XP-410_Series-epson-escpr-en.ppd.gz [/usr/share/ppd/Epson/epson-inkjet-printer-escpr/Epson-XP-410_Series-epson-escpr-en.ppd.gz]

# rpm -q --provides epson-inkjet-printer-escpr | grep xp-410
postscriptdriver(epson;xp-410_series;)

Tim, what else should we check ?

Comment 5 Tim Waugh 2014-01-23 16:38:44 UTC
Tom: what procedure are you following in comment #0? Just plugging in the printer? (which should work)

Are you using GNOME, KDE, or something else?

Comment 6 Tom Tromey 2014-01-23 18:10:28 UTC
(In reply to Tim Waugh from comment #5)
> Tom: what procedure are you following in comment #0? Just plugging in the
> printer? (which should work)
> 
> Are you using GNOME, KDE, or something else?

On my F18 box, I plugged the printer in to the USB port.
After it searched a bit, I got a notificatino saying
"Missing printer driver
 No printer driver for EPSON XP-410 Series."


I just tried again on my F20 machine.
There, I tried using system-config-printer to add the
printer (the printer has wifi so I tried to use it that way).

If I try to choose the driver by make/model, XP-410 is not listed.

If I choose "Search for a printer driver to download", it searches
for a while and then stops.  The "Printer model" field says
"-- No matches found --" and the Forward button is disabled.

This same thing happens if I plug the printer in and try
to add a new printer using system-config-printer.

I don't recall what happened the first time I plugged it in to my F20 box :(
Disconnecting the USB and reconnecting it doesn't seem to cause anything.
I'm using XFCE on both machines.

In case it helps, I saw this in /var/log/messages on the F20 box:

Jan 23 10:50:19 bapiya udev-configure-printer[26586]: No ID match for device usb://EPSON/XP-410%20Series?serial=5335324B3038333236&interface=1:
Jan 23 10:50:19 bapiya udev-configure-printer[26586]: MFG:EPSON;MDL:XP-410 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;DES:EPSON XP-410 Series;
Jan 23 10:50:19 bapiya udev-configure-printer[26586]: Using foomatic:Generic-ESC_P_Dot_Matrix_Printer-epson.ppd (status: 2)
Jan 23 10:54:02 bapiya udev-configure-printer[26757]: No ID match for device usb://EPSON/XP-410%20Series?serial=5335324B3038333236&interface=1:
Jan 23 10:54:02 bapiya udev-configure-printer[26757]: MFG:EPSON;MDL:XP-410 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;DES:EPSON XP-410 Series;
Jan 23 10:54:02 bapiya udev-configure-printer[26757]: Using foomatic:Generic-ESC_P_Dot_Matrix_Printer-epson.ppd (status: 2)
Jan 23 11:01:12 bapiya udev-configure-printer[27222]: No ID match for device usb://EPSON/XP-410%20Series?serial=5335324B3038333236&interface=1:
Jan 23 11:01:12 bapiya udev-configure-printer[27222]: MFG:EPSON;MDL:XP-410 Series;CMD:ESCPL2,BDC,D4,D4PX,ESCPR1,END4;DES:EPSON XP-410 Series;
Jan 23 11:01:12 bapiya udev-configure-printer[27222]: Using foomatic:Generic-ESC_P_Dot_Matrix_Printer-epson.ppd (status: 2)

Comment 7 Tim Waugh 2014-01-27 11:27:10 UTC
I think XFCE doesn't have the required desktop session component that searches for printer drivers (D-Bus system bus name 'com.redhat.PrinterDriversInstaller').

Comment 8 Kevin Fenzi 2014-01-27 15:32:32 UTC
Right. Xfce spin switched over to using yumex for package management. 

You would need to pull in PackageKit stuff for that, but note that PackageKit dropped the systray support, so you need to manually run the gui. 

So, not sure what I can do for you here...

Comment 10 Fedora End Of Life 2015-05-29 10:37:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:52:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Keinsonn 2018-10-09 09:12:23 UTC
The same Issue I was also facing, not able to find the Printer Drivers, I also tried to get from one of my friends but my friend also doesn't have, Can Anyone do the needful which helps me to get resolve my issue. For more Information regarding Printers, You may also visit:https://www.delltechsupportnumbers.com/blog/how-to-resolve-dell-printer-is-in-error-state/